export const UpdateAlertModalContent: import("react-redux").ConnectedComponent<typeof UpdateAlertModalContentInner, {
    [x: string]: any;
    [x: number]: any;
    [x: symbol]: any;
    context?: import("react-remove-scroll/node_modules/@types/react").Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: any;
} | {
    [x: string]: any;
    [x: number]: any;
    [x: symbol]: any;
    store?: any;
}>;
declare class UpdateAlertModalContentInner extends Component<any, any, any> {
    constructor(props: any);
    state: {
        modifiedAlert: any;
    };
    onAlertChange: (modifiedAlert: any) => void;
    onUpdateAlert: () => Promise<void>;
    onDeleteAlert: () => Promise<void>;
    render(): import("react/jsx-runtime").JSX.Element;
}
import { Component } from "react";
export {};
